<?xml version="1.0" encoding="UTF-8"?>
<!--
 Copyright (c) 2000-2025 Ericsson Telecom AB
 All rights reserved. This program and the accompanying materials
 are made available under the terms of the Eclipse Public License v2.0
 which accompanies this distribution, and is available at
 https://www.eclipse.org/org/documents/epl-2.0/EPL-2.0.html

 Contributors:
  Balasko, Jeno
  Raduly, Csaba
-->
<schema xmlns="http://www.w3.org/2001/XMLSchema"
        targetNamespace="http://www.example.org/Schema2"
             xmlns:tns="http://www.example.org/Schema2" elementFormDefault="qualified">

<!-- import namespace="http://www.example.org/Schema1" / -->

<complexType name="CT">
  <sequence>
    <element name="i" type="integer" />
  </sequence>
</complexType>

<simpleType name="ST">
  <restriction base="integer">
  </restriction>
</simpleType>

<element name="EL" type="tns:CT" />

<element name="CTimp" type="tns:CT" />

</schema>
